Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class GateAddressManager

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.GateAddressManager

    public class GateAddressManager
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.sql.Connection` | `con` |
  `protected int` | `mid` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GateAddressManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `GateAddress` | `getAddreeesByGateId​(int gateId)` |
  `GateAddress` | `getAddreeesByGateID​(int gateId)` | Deprecated.
  `AddressStruct` | `getAddressStruct​(GateAddress address)` | Возвращает значение параметра типа "Адрес" для данного договора
  `static void` | `loadFromResultSet​(java.sql.ResultSet rs, GateAddress gateAddress)` |
  `void` | `updateAddress​(int gateID, GateAddress address)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mid

    protected int mid

  - ### con

    protected java.sql.Connection con

- ## Constructor Details

  - ### GateAddressManager

    public GateAddressManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getAddreeesByGateId

    public GateAddress getAddreeesByGateId​(int gateId)

  - ### getAddreeesByGateID

    @Deprecated public GateAddress getAddreeesByGateID​(int gateId)
    Deprecated.
    Использовать `getAddreeesByGateId(int)`.
    Parameters:
      `gateId` -
    Returns:

  - ### loadFromResultSet

    public static void loadFromResultSet​(java.sql.ResultSet rs, GateAddress gateAddress) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### updateAddress

    public void updateAddress​(int gateID, GateAddress address)

  - ### getAddressStruct

    public AddressStruct getAddressStruct​(GateAddress address)
    Возвращает значение параметра типа "Адрес" для данного договора
    Parameters:
      `cid` - код договора
      `pid` - код параметра
    Returns: